Creating Issues from template
2008-12-11 10:14 - Pavel Morozov
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Duplicate

Description

It often needs to add some typical tasks.

| want to suggest the decision this question.

| did that in the old version redmine. And we are used to using it for assign tasks like "Reserving DHCP", "Reserving DNS", "Creating
virtual machine" and so on.

It is very simple. (If you want | will be able to show the code.)

1. Add a tracker where a name of the tracker conform the name of a Wiki page in this project.
2. Create the wiki page with this name and contents
3. And create consolidating page on "My page"

Here is example:
We created tracker with name "Tracker1 2 3" and then created wiki page with name "Template_Issue_1 2 3"
Example wiki page:

hl. Template Issue Reserving DNS name

Priority: Normal

Assigned to: Someonel
Category: Categoryl

Done: 10

Subject: Reserving DNS name
Watchers: Someone2

Description:

* Name of server:
* IP-address:

* Descrion:

Now if we open "New issue" we could choose "Tracker1 2 3" and automatically will be filled fields.

It will be very useful if you would do this.

Related issues:
Related to Redmine - Feature #1138: Issue templates Closed 2008-04-29

History

#1 - 2008-12-28 11:15 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Duplicate
Duplicates #1138.
#2 - 2010-02-01 23:07 - Christian Mayr

Pavel, did | understand you right that you already have coded a solution that takes wiki pages as a template for new issues?
| would really appreciate you sharing the could with us!
